import { registerAs } from '@nestjs/config';
import { Config } from './config';

export interface PaginationConfig extends Config {
  perPage: number;
}

export default registerAs('pagination', () => ({
  perPage: process.env.PER_PAGE ? parseInt(process.env.PER_PAGE, 10) : 10,
}));
