import { Domain, Identifier } from '@mobicoop/configuration-module';
import { QueryBase } from '@mobicoop/ddd-library';

export class GetConfigurationQuery extends QueryBase {
  readonly identifier: Identifier;

  constructor(domain: Domain, key: string) {
    super();
    this.identifier = {
      domain,
      key,
    };
  }
}
