import { registerAs } from '@nestjs/config';

export default registerAs('redis', () => ({
  host: process.env.REDIS_HOST ?? 'v3-redis',
  port: process.env.PORT ? parseInt(process.env.PORT, 10) : 6379,
  password: process.env.REDIS_PASSWORD ?? 'redis',
}));
