import { Identifier } from '@mobicoop/configuration-module';
import { Command, CommandProps } from '@mobicoop/ddd-library';

export class SetConfigurationCommand extends Command {
  readonly identifier: Identifier;
  readonly value: string | boolean | number;

  constructor(props: CommandProps<SetConfigurationCommand>) {
    super(props);
    this.identifier = props.identifier;
    this.value = props.value;
  }
}
