import { Domain } from '@mobicoop/configuration-module';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';

export class GetConfigurationRequestDto {
  @IsEnum(Domain)
  @IsNotEmpty()
  domain: Domain;

  @IsString()
  @IsNotEmpty()
  key: string;
}
